#include "stm32f10x.h"
#include "gpio.h"
#include "servo.h"
#include "motoreducteur.h"
#include "rtc.h"
#include "remote.h"

int main (void)
{
	MyServo_Init();
	MyServo_ChangeAngle(179);
	MyGPIO_Struct_TypeDef led = {GPIOA,5,Out_PullUp};	//led
	MyGPIO_Init(&led);																//test des leds pour ignorer les contraintes lies aux diffrents ports
	//MyMotor_Init();
	
	//MyMotor_ChangeSpeed(2000);
	//MyMotor_ChangeDirection(HORAIRE);
	initRemote();
	testRemote();
	
	MyRTC_Init();
//	MyRTC_GetTime();
	
 	while(1){};
}
